Package com.google.android.exoplayer2.effect

## Class RgbAdjustment

- java.lang.Object
- - com.google.android.exoplayer2.effect.RgbAdjustment

- All Implemented Interfaces:
    `GlEffect`, `RgbMatrix`, `Effect`

      public final class RgbAdjustment
      extends Object
      implements RgbMatrix

  Scales the red, green, and blue color channels of a frame.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `RgbAdjustment.Builder` | A builder for `RgbAdjustment` instances.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `float[]` | `getMatrix​(long presentationTimeUs, boolean useHdr)` | Returns the 4x4 RGB transformation matrix to apply to the color values of each pixel in the frame with the given timestamp.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.effect.RgbMatrix

      `toGlTextureProcessor`

- - ### Method Detail

    - #### getMatrix

          public float[] getMatrix​(long presentationTimeUs,
                                   boolean useHdr)

      Description copied from interface: `RgbMatrix`
      Returns the 4x4 RGB transformation matrix to apply to the color values of each pixel in the frame with the given timestamp.
      Specified by:
        `getMatrix` in interface `RgbMatrix`
      Parameters:
        `presentationTimeUs` - The timestamp of the frame to apply the matrix on.
        `useHdr` - If `true`, colors will be in linear RGB BT.2020. If `false`, colors will be in linear RGB BT.709. Must be consistent with `useHdr` in `RgbMatrix.toGlTextureProcessor(Context, boolean)`.
      Returns:
        The `RgbMatrix` to apply to the frame.